#!/usr/bin/make

# nonintel.mak Version 0.3.0 - Compile pick 4 lottery
# for a non-Intel platform.
# Copyright (C) 2002-2010   dondalah721@yahoo.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

PICK4=pick4.o \
	getp4.o \
	combo.o \
	permute.o \
	rndinit.o \
	rnd.o \
	rndnum.o \
	rndpwr.o \
	getmd5.o \
	md5c.o

P4PROB=p4prob.o \
	getp4.o \
	combo.o \
	permute.o

CC=gcc

CFLAGS=-c -Wall -O6

LDFLAGS=-lm

all:		pick4 p4prob

pick4:		$(PICK4)
	$(CC) -Wall -O6 $(PICK4) -o pick4 $(LDFLAGS)

p4prob:		$(P4PROB)
	$(CC) -Wall -O6 $(P4PROB) -o p4prob $(LDFLAGS)

pick4.o:	pick4.c
	$(CC) $(CFLAGS) pick4.c

p4prob.o:	p4prob.c
	$(CC) $(CFLAGS) p4prob.c

getp4.o:	getp4.c
	$(CC) $(CFLAGS) getp4.c

combo.o:	combo.c
	$(CC) $(CFLAGS) combo.c

permute.o:	permute.c
	$(CC) $(CFLAGS) permute.c

initrnd.o:	initrnd.c
	$(CC) $(CFLAGS) initrnd.c

rnd.o:		rnd2.c
	$(CC) -o rnd.o $(CFLAGS) rnd2.c

rndnum.o:	rndnum2.c
	$(CC) -o rndnum.o $(CFLAGS) rndnum2.c

rndpwr.o:	rndpwr2.c
	$(CC) -o rndpwr.o $(CFLAGS) rndpwr2.c

clean:
	rm -f $(PICK4) p4gm
	rm -f $(P4PROB) p4prob
